# OSGeo::FDO::Xml::XmlSpatialContextFlags Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlSpatialContextFlags:

[legend]

List of all members.

## Detailed Description

FdoXmlSpatialContextFlags extends FdoXmlFlags to specify flags specific to Spatial Contexts.

()

## Public Types
enum | ConflictOption { ConflictOption_Add = FdoXmlSpatialContextFlags::ConflictOption_Add, ConflictOption_Update = FdoXmlSpatialContextFlags::ConflictOption_Update, ConflictOption_Skip = FdoXmlSpatialContextFlags::ConflictOption_Skip }
| XmlSpatialContextFlags::ConflictOption specifies how to handle Spatial Contexts that are already in the DataStore, when Deserializing:. More...
## Public Member Functions
__property System::Boolean | get_IncludeDefault ()
| Gets the default Spatial Context inclusion flag.
OSGeo::FDO::Xml::XmlSpatialContextFlags::ConflictOption | GetConflictOption ()
| Get the current option for handling Spatial Contexts already in the connection.
__property System::Void | set_IncludeDefault (System::Boolean includeDefault)
| Sets the default Spatial Context inclusion flag.
System::Void | SetConflictOption (OSGeo::FDO::Xml::XmlSpatialContextFlags::ConflictOption conflictOption)
| Sets the current option for handling Spatial Contexts already in the connection.
| XmlSpatialContextFlags (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a XmlSpatialContextFlags object based on an unmanaged instance of the object.
| XmlSpatialContextFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel, System::Boolean nameAdjust, OSGeo::FDO::Xml::XmlSpatialContextFlags::ConflictOption conflictOption, System::Boolean includeDefault)
| Constructs an XmlSpatialContextFlags object.
| XmlSpatialContextFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel, System::Boolean nameAdjust, OSGeo::FDO::Xml::XmlSpatialContextFlags::ConflictOption conflictOption)
| Constructs an XmlSpatialContextFlags object.
| XmlSpatialContextFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel, System::Boolean nameAdjust)
| Constructs an XmlSpatialContextFlags object.
| XmlSpatialContextFlags (System::String *location, OSGeo::FDO::Xml::XmlFlags::ErrorLevel errorLevel)
| Constructs an XmlSpatialContextFlags object.
| XmlSpatialContextFlags (System::String *location)
| Constructs an XmlSpatialContextFlags object.
| XmlSpatialContextFlags ()
| Constructs an XmlSpatialContextFlags object.